=== debian/control ===
Source: geda-gaf
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Peter Clifton <pcjc2@cam.ac.uk>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>, Hamish Moffatt <hamish@debian.org>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.4.7~), libgtk2.0-dev, guile-1.8-dev, libgd2-xpm-dev | libgd2-dev, libxml-parser-perl, gs-common, transfig, libstroke0-dev, groff, libglib2.0-dev, flex, intltool
DM-Upload-Allowed: yes
Homepage: http://geda.seul.org/
Vcs-Git: git://git.debian.org/git/pkg-electronics/geda-gaf.git
Vcs-Browser: http://git.debian.org/?p=pkg-electronics/geda-gaf.git

Package: geda
Architecture: all
Depends: ${misc:Depends}, geda-gschem, geda-gnetlist
Recommends: geda-gsymcheck, geda-gattrib, geda-doc, extra-xdg-menus
Suggests: geda-utils, geda-examples, gerbv, pcb
Description: GPL EDA -- Electronics design software (metapackage)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This is a metapackage which depends on the components required
 for a typical gEDA installation.

Package: libgeda38
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libgeda-common (>= ${source:Version}), libgeda-common (<< ${source:Version}.1~)
Description: GPL EDA -- Electronics design software (library files)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This package contains shared libraries for gEDA.

Package: libgeda-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}, libgeda-common (>= ${source:Version}), libgeda-common (<< ${source:Version}.1~), libgtk2.0-dev, guile-1.8-dev, libgd2-xpm-dev | libgd2-dev
Description: GPL EDA -- Electronics design software (development files)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This package contains the header files and static libraries which are needed
 for developing applications linked to the libgeda library.

Package: libgeda-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: libgeda20, libgeda29, libgeda33, geda-symbols (<< 1:1.2.0)
Replaces: geda-symbols (<< 1:1.2.0)
Description: GPL EDA -- Electronics design software (data files)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This package contains the shared scripts and data-files required by the
 libgeda library. It also contains MIME-type registrations and icons for the
 file formats supported by the gEDA suite.

Package: geda-symbols
Architecture: all
Depends: ${misc:Depends}
Conflicts: libgeda20, libgeda29
Description: GPL EDA -- Electronics design software (symbols library)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This package includes the device symbols files for gschem.

Package: geda-gschem
Architecture: any
Conflicts: geda (<= 19990516-1)
Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.5.1), geda-symbols (<< 1:1.7.0~)
Description: GPL EDA -- Electronics design software (schematic editor)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This package contains gschem, the schematic editor.

Package: geda-gattrib
Architecture: any
Conflicts: geda (<= 19990516-1)
Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.5.1), geda-symbols (<< 1:1.7.0~)
Description: GPL EDA -- Electronics design software (attribute editor)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This package contains gattrib, the attribute editor.

Package: geda-gnetlist
Architecture: any
Conflicts: geda (<= 19990516-1)
Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.5.1), geda-symbols (<< 1:1.7.0~), mawk
Description: GPL EDA -- Electronics design software (netlister)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This package contains gnetlist, the netlist generator.

Package: geda-gsymcheck
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.5.1), geda-symbols (<< 1:1.7.0~)
Description: GPL EDA -- Electronics design software (symbol checker)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This package contains gsymcheck, the symbol checker.

Package: geda-utils
Architecture: any
Conflicts: geda (<= 19990516-1)
Depends: ${misc:Depends}, ${shlibs:Depends}, python
Description: GPL EDA -- Electronics design software (utilities)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This package contains miscellaneous utilities related to gEDA.

Package: geda-examples
Recommends: geda
Architecture: all
Depends: ${misc:Depends}
Description: GPL EDA -- Electronics design software (example designs)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This package contains example designs created with gEDA.

Package: geda-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: GPL EDA -- Electronics design software (documentation)
 The gEDA project has produced and continues working on a full GPL'd suite and
 toolkit of Electronic Design Automation tools. These tools are used for
 electrical circuit design, schematic capture, simulation, prototyping, and
 production. Currently, the gEDA project offers a mature suite of free software
 applications for electronics design, including schematic capture, attribute
 management, bill of materials (BOM) generation, netlisting into over 20
 netlist formats, analog and digital simulation, and printed circuit board
 (PCB) layout.
 .
 This package contains the documentation.
