## geda-gaf 1.6.2

=== debian/changelog ===
geda-gaf (1:1.6.2-3) unstable; urgency=low

  * Move recommends for extra-xdg-menus to geda-gschem & geda-gattrib
    (Closes: #622329)
  * Added gawk to geda-utils Depends field.
    Thanks to Adrian Bunk <bunk@stusta.de> (Closes: #647177)
  * Updated copyright format.
    Thanks to Daniel T Chen <seven.steps@gmail.com>
  * debian/control:
    + Bumped Standards-Version to 3.9.2
    + Build-Depend on ghostscript, not gs-common. (Closes: #649704)
    + Replace libgeda-common in libgeda-dev dependencies with libgeda38
    + Multiarch support:
      - Mark libgeda38 as Multi-Arch: same
      - Mark libgeda-common as Multi-Arch: foreign
      - Add Pre-Depends: ${misc:Pre-Depends} for libgeda38
  * Bumped compat level to 9
    + debian/libgeda38.install, debian/libgeda-dev.install: Install libraries
      from multiarch paths
  * Added format-security.diff patch to fix possible format security problems
    when displaying 'message' string

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 24 Nov 2011 19:50:49 +0200

geda-gaf (1:1.6.2-2) unstable; urgency=low

  * Upload to unstable.
  * debian/libgeda-dev.install: Do not install .la file (Closes: #620729)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 07 Apr 2011 05:52:40 +0200

geda-gaf (1:1.6.2-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental to avoid poisoning freeze exception for 1.6.1-5
  * debian/watch: Updated watch file.
  * Removed sch2eaglepos_bashism.diff and fix_string_exceptions.diff patches,
    as they got applied upstream.
  * debian/libgeda38.symbols: Added new symbols
  * debian/control:
    + Bumped Standards-Version to 3.9.1
    + Use Breaks instead of Conflicts for geda-symbols (<< 1:1.2.0) and
      geda (<= 19990516-1)
  * debian/copyright: Updated copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 26 Jan 2011 07:51:03 +0200

geda-gaf (1:1.6.1-5) unstable; urgency=low

  * Added disable_gnetlist-arg.diff patch, to fix arbitrary code execution.
    (LP: #700194)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 24 Jan 2011 19:58:01 +0200
