=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Peter Clifton <pcjc2@cam.ac.uk>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>, Hamish Moffatt <hamish@debian.org>
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7.4.7~), libgtk2.0-dev, guile-1.8-dev, libgd2-xpm-dev | libgd2-dev, libxml-parser-perl, gs-common, transfig, libstroke0-dev, groff, libglib2.0-dev, flex, intltool
+Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.3), libgtk2.0-dev, guile-1.8-dev, libgd2-xpm-dev | libgd2-dev, libxml-parser-perl, ghostscript, transfig, libstroke0-dev, groff, libglib2.0-dev, flex, intltool
 DM-Upload-Allowed: yes
 Homepage: http://geda.seul.org/
 Vcs-Git: git://git.debian.org/git/pkg-electronics/geda-gaf.git
@@ -13,7 +13,7 @@
 Package: geda
 Architecture: all
 Depends: ${misc:Depends}, geda-gschem, geda-gnetlist
-Recommends: geda-gsymcheck, geda-gattrib, geda-doc, extra-xdg-menus
+Recommends: geda-gsymcheck, geda-gattrib, geda-doc
 Suggests: geda-utils, geda-examples, gerbv, pcb
 Description: GPL EDA -- Electronics design software (metapackage)
  The gEDA project has produced and continues working on a full GPL'd suite and
@@ -31,6 +31,8 @@
 Package: libgeda38
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libgeda-common (>= ${source:Version}), libgeda-common (<< ${source:Version}.1~)
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Description: GPL EDA -- Electronics design software (library files)
  The gEDA project has produced and continues working on a full GPL'd suite and
  toolkit of Electronic Design Automation tools. These tools are used for
@@ -46,7 +48,7 @@
 Package: libgeda-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgeda-common (>= ${source:Version}), libgeda-common (<< ${source:Version}.1~), libgtk2.0-dev, guile-1.8-dev, libgd2-xpm-dev | libgd2-dev
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgeda38 (= ${binary:Version}), libgtk2.0-dev, guile-1.8-dev, libgd2-xpm-dev | libgd2-dev
 Description: GPL EDA -- Electronics design software (development files)
  The gEDA project has produced and continues working on a full GPL'd suite and
  toolkit of Electronic Design Automation tools. These tools are used for
@@ -63,8 +65,10 @@
 Package: libgeda-common
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: libgeda20, libgeda29, libgeda33, geda-symbols (<< 1:1.2.0)
+Conflicts: libgeda20, libgeda29, libgeda33
+Breaks: geda-symbols (<< 1:1.2.0)
 Replaces: geda-symbols (<< 1:1.2.0)
+Multi-Arch: foreign
 Description: GPL EDA -- Electronics design software (data files)
  The gEDA project has produced and continues working on a full GPL'd suite and
  toolkit of Electronic Design Automation tools. These tools are used for
@@ -97,8 +101,9 @@
 
 Package: geda-gschem
 Architecture: any
-Conflicts: geda (<= 19990516-1)
+Breaks: geda (<= 19990516-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.5.1), geda-symbols (<< 1:1.7.0~)
+Recommends: extra-xdg-menus
 Description: GPL EDA -- Electronics design software (schematic editor)
  The gEDA project has produced and continues working on a full GPL'd suite and
  toolkit of Electronic Design Automation tools. These tools are used for
@@ -113,8 +118,9 @@
 
 Package: geda-gattrib
 Architecture: any
-Conflicts: geda (<= 19990516-1)
+Breaks: geda (<= 19990516-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.5.1), geda-symbols (<< 1:1.7.0~)
+Recommends: extra-xdg-menus
 Description: GPL EDA -- Electronics design software (attribute editor)
  The gEDA project has produced and continues working on a full GPL'd suite and
  toolkit of Electronic Design Automation tools. These tools are used for
@@ -129,7 +135,7 @@
 
 Package: geda-gnetlist
 Architecture: any
-Conflicts: geda (<= 19990516-1)
+Breaks: geda (<= 19990516-1)
 Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.5.1), geda-symbols (<< 1:1.7.0~), mawk
 Description: GPL EDA -- Electronics design software (netlister)
  The gEDA project has produced and continues working on a full GPL'd suite and
@@ -160,8 +166,8 @@
 
 Package: geda-utils
 Architecture: any
-Conflicts: geda (<= 19990516-1)
-Depends: ${misc:Depends}, ${shlibs:Depends}, python
+Breaks: geda (<= 19990516-1)
+Depends: ${misc:Depends}, ${shlibs:Depends}, python, gawk
 Description: GPL EDA -- Electronics design software (utilities)
  The gEDA project has produced and continues working on a full GPL'd suite and
  toolkit of Electronic Design Automation tools. These tools are used for
