=== debian/rules ===
#!/usr/bin/make -f

TEST_HOME=$(CURDIR)/tmp-home

%:
	dh $@

override_dh_clean:
	# gnetlist.orig is an upstream file that should not be removed:
	dh_clean -Xgnetlist/tests/gnetlistrc.orig
	rm -rf $(TEST_HOME)

override_dh_auto_configure:
	dh_auto_configure -- --with-rcdir=/etc/gEDA 				\
	                     --disable-static               \
	                     --disable-update-xdg-database	\
	                     --disable-rpath LDFLAGS="$(LDFLAGS) -Wl,--as-needed"

override_dh_auto_test:
	mkdir -p $(TEST_HOME)
	HOME=$(TEST_HOME) dh_auto_test

LIBPKG=libgeda38
DEVPKG=libgeda-dev
COMMONPKG=libgeda-common

override_dh_auto_install:
	dh_auto_install --sourcedirectory=libgeda    -- DESTDIR=$(CURDIR)/debian/tmp
	dh_auto_install --sourcedirectory=gschem     -- DESTDIR=$(CURDIR)/debian/geda-gschem
	dh_auto_install --sourcedirectory=gattrib    -- DESTDIR=$(CURDIR)/debian/geda-gattrib
	dh_auto_install --sourcedirectory=gnetlist   -- DESTDIR=$(CURDIR)/debian/geda-gnetlist
	dh_auto_install --sourcedirectory=gsymcheck  -- DESTDIR=$(CURDIR)/debian/geda-gsymcheck
	dh_auto_install --sourcedirectory=utils      -- DESTDIR=$(CURDIR)/debian/geda-utils
	dh_auto_install --sourcedirectory=symbols    -- DESTDIR=$(CURDIR)/debian/geda-symbols
	dh_auto_install --sourcedirectory=docs       -- DESTDIR=$(CURDIR)/debian/geda-doc
	dh_auto_install --sourcedirectory=examples   -- DESTDIR=$(CURDIR)/debian/geda-examples

override_dh_install:
	dh_install
	# This script is already installed in examples dir:
	rm debian/geda-gnetlist/usr/bin/sch2eaglepos.sh

	# Work around install locations in geda-utils
	cd debian/geda-utils/usr/bin && mv gnet_hier_verilog.sh gnet_hier_verilog
	cd debian/geda-utils/usr/bin && mv gsymfix.pl gsymfix

override_dh_installdocs:
	dh_installdocs -N$(LIBPKG) -N$(COMMONPKG) -N$(DEVPKG) -Ngeda -Ngeda-doc
	dh_installdocs -pgeda -pgeda-doc --link-doc=geda-doc
	dh_installdocs -p$(LIBPKG) -p$(COMMONPKG) -p$(DEVPKG) --link-doc=$(COMMONPKG)
	# Work around install location in some geda- packages:
	for p in geda-gnetlist geda-gschem geda-gsymcheck geda-utils geda-symbols geda-doc; do \
	  rm -rf debian/$$p/usr/share/doc/geda-gaf/man ; \
	  [ ! -d debian/$$p/usr/share/doc/$$p ] || ( \
	    mv debian/$$p/usr/share/doc/geda-gaf/*  \
	       debian/$$p/usr/share/doc/$$p/ ; \
	    [ ! -d debian/$$p/usr/share/doc/$$p/readmes ] || \
	      mv debian/$$p/usr/share/doc/$$p/readmes/*  \
	         debian/$$p/usr/share/doc/$$p/ ) ; \
	  rm -rf debian/$$p/usr/share/doc/$$p/readmes; \
	  rm -rf debian/$$p/usr/share/doc/geda-gaf ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs libgeda/ChangeLog   -p $(COMMONPKG)
	dh_installchangelogs symbols/ChangeLog   -p geda-symbols
	dh_installchangelogs docs/ChangeLog      -p geda-doc
	dh_installchangelogs examples/ChangeLog  -p geda-examples
	dh_installchangelogs gschem/ChangeLog    -p geda-gschem
	dh_installchangelogs gattrib/ChangeLog   -p geda-gattrib
	dh_installchangelogs gnetlist/ChangeLog  -p geda-gnetlist
	dh_installchangelogs gsymcheck/ChangeLog -p geda-gsymcheck
	dh_installchangelogs utils/ChangeLog     -p geda-utils

override_dh_installexamples:
	dh_installexamples -XMakefile -X.in
	# Work around install locations in geda-examples
	[ ! -d debian/geda-examples ] || \
		( cd debian/geda-examples/usr/share/doc && mv geda-gaf/examples geda-examples/ && rmdir geda-gaf )
	# In geda-symbols nc.pdf should rather be in examples dir:
	[ ! -d debian/geda-symbols/usr/share/doc/geda-symbols ] || \
		( cd debian/geda-symbols/usr/share/doc/geda-symbols && mkdir -p examples && mv nc.pdf examples/ )

override_dh_compress:
	dh_compress -Xwiki -X.sch -Xgeda-examples/examples -X.sym

DEBIAN_VERSION := $(shell dpkg-parsechangelog | grep Version: | cut -f 2 -d ' ')

override_dh_makeshlibs:
	dh_makeshlibs -a -V'$(LIBPKG) (= $(DEBIAN_VERSION))'
