=== debian/watch ===
version=3
http://geda.seul.org/release/v([\d\.]+)/([\d\.]+)/geda-gaf-([\d\.]+)\.tar\.gz
