## geda-gaf 1.8.1

=== debian/changelog ===
geda-gaf (1:1.8.1-2build1) saucy; urgency=low

  * Rebuild for libgd3.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 May 2013 00:04:59 +0100

geda-gaf (1:1.8.1-2) unstable; urgency=low

  * Manually replace directory with symlink in geda.postinst (Closes: #694015)
    Thanks: gregor herrmann <gregoa@debian.org>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 20 Jan 2013 22:49:12 +0200

geda-gaf (1:1.8.1-1) unstable; urgency=low

  [ Bdale Garbee ]
  * new upstream version
  * Add myself to Uploaders.

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/control:
    + Bumped Standards-Version to 3.9.4
    + Use canonical URIs in VCS-* fields.
    + Dropped obsolete DMUA field.
  * debian/copyright: Update copyright format & years.
  * Use autotools_dev to update outdated autotools helper files.
  * Renamed libgeda41 to libgeda42

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 Jan 2013 20:56:30 -0700

geda-gaf (1:1.8.0-1) unstable; urgency=low

  * New upstream release. (Closes: #169746, #323981, #499711, #693246,
    LP: #876299)
  * Updated watch file
  * debian/control:
    + Bumped B-D on libgtk2.0-dev to (>= 2.16.0)
    + Bumped Guile to 2.0 in Build-Dep & libgeda-dev Depends
    + Moved mawk dependency from geda-gnetlist to geda-utils, since sw2asc
      moved there.
    + Bumped dependencies to:
      geda-symbols (>= 1:1.7.1), geda-symbols (<< 1:1.9.0~)
    + set "Depends: geda-doc" from Recommends since its documents (including
      copyright file) is linked to geda-doc. It fixes "geda: copyright file
      missing after upgrade (policy 12.5) " (Closes: #694015)
      Thanks: Hideki Yamane <henrich@debian.or.jp>
  * Updated debian/*.docs files
  * Removed debian/geda-examples.docs
  * Removed all patches, they got applied upstream.
  * debian/rules:
    + Removed line renaming gsymfix, it is renamed upstream
    + Remove override for dh_install, build system behaves sanely.
    + Add geda-gattrib to list of packages for which to remove
      /usr/share/doc/geda-gaf/man/
  * Removed debian/*.manpages, upstream build system already installs manpages
  * Renamed libgeda38 to libgeda41
  * Updated symbols file.
  * Add manpages.diff patch for various manpage fixes.
  * Remove useless debian/README.debian

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 25 Nov 2012 16:48:10 +0200

geda-gaf (1:1.6.2-4) unstable; urgency=low

  * Added glib-single-include.patch: Do not include individual glib headers
    (Closes: #665528)
  * debian/control:
    + Bumped Standards-Version to 3.9.3
    + Bumped Build-Dep on debhelper to >= 9

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 02 Oct 2012 13:07:10 +0200
