=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: electronics
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
-Uploaders: Peter Clifton <pcjc2@cam.ac.uk>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>, Hamish Moffatt <hamish@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.1.3), libgtk2.0-dev, guile-1.8-dev, libgd2-xpm-dev | libgd2-dev, libxml-parser-perl, ghostscript, transfig, libstroke0-dev, groff, libglib2.0-dev, flex, intltool
-DM-Upload-Allowed: yes
+Uploaders: Peter Clifton <pcjc2@cam.ac.uk>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>, Hamish Moffatt <hamish@debian.org>, Bdale Garbee <bdale@gag.com>
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), libgtk2.0-dev (>= 2.16.0), guile-2.0-dev, libgd2-xpm-dev | libgd2-dev, libxml-parser-perl, ghostscript, transfig, libstroke0-dev, groff, libglib2.0-dev, flex, intltool, autotools-dev
 Homepage: http://geda.seul.org/
-Vcs-Git: git://git.debian.org/git/pkg-electronics/geda-gaf.git
-Vcs-Browser: http://git.debian.org/?p=pkg-electronics/geda-gaf.git
+Vcs-Git: git://anonscm.debian.org/pkg-electronics/geda-gaf.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/geda-gaf.git
 
 Package: geda
 Architecture: all
-Depends: ${misc:Depends}, geda-gschem, geda-gnetlist
-Recommends: geda-gsymcheck, geda-gattrib, geda-doc
+Depends: ${misc:Depends}, geda-gschem, geda-gnetlist, geda-doc
+Recommends: geda-gsymcheck, geda-gattrib
 Suggests: geda-utils, geda-examples, gerbv, pcb
 Description: GPL EDA -- Electronics design software (metapackage)
  The gEDA project has produced and continues working on a full GPL'd suite and
@@ -28,7 +27,7 @@
  This is a metapackage which depends on the components required
  for a typical gEDA installation.
 
-Package: libgeda38
+Package: libgeda42
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libgeda-common (>= ${source:Version}), libgeda-common (<< ${source:Version}.1~)
 Multi-Arch: same
@@ -48,7 +47,7 @@
 Package: libgeda-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgeda38 (= ${binary:Version}), libgtk2.0-dev, guile-1.8-dev, libgd2-xpm-dev | libgd2-dev
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgeda42 (= ${binary:Version}), libgtk2.0-dev, guile-2.0-dev, libgd2-xpm-dev | libgd2-dev
 Description: GPL EDA -- Electronics design software (development files)
  The gEDA project has produced and continues working on a full GPL'd suite and
  toolkit of Electronic Design Automation tools. These tools are used for
@@ -102,7 +101,7 @@
 Package: geda-gschem
 Architecture: any
 Breaks: geda (<= 19990516-1)
-Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.5.1), geda-symbols (<< 1:1.7.0~)
+Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.7.1), geda-symbols (<< 1:1.9.0~)
 Recommends: extra-xdg-menus
 Description: GPL EDA -- Electronics design software (schematic editor)
  The gEDA project has produced and continues working on a full GPL'd suite and
@@ -119,7 +118,7 @@
 Package: geda-gattrib
 Architecture: any
 Breaks: geda (<= 19990516-1)
-Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.5.1), geda-symbols (<< 1:1.7.0~)
+Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.7.1), geda-symbols (<< 1:1.9.0~)
 Recommends: extra-xdg-menus
 Description: GPL EDA -- Electronics design software (attribute editor)
  The gEDA project has produced and continues working on a full GPL'd suite and
@@ -136,7 +135,7 @@
 Package: geda-gnetlist
 Architecture: any
 Breaks: geda (<= 19990516-1)
-Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.5.1), geda-symbols (<< 1:1.7.0~), mawk
+Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.7.1), geda-symbols (<< 1:1.9.0~)
 Description: GPL EDA -- Electronics design software (netlister)
  The gEDA project has produced and continues working on a full GPL'd suite and
  toolkit of Electronic Design Automation tools. These tools are used for
@@ -151,7 +150,7 @@
 
 Package: geda-gsymcheck
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.5.1), geda-symbols (<< 1:1.7.0~)
+Depends: ${misc:Depends}, ${shlibs:Depends}, geda-symbols (>= 1:1.7.1), geda-symbols (<< 1:1.9.0~)
 Description: GPL EDA -- Electronics design software (symbol checker)
  The gEDA project has produced and continues working on a full GPL'd suite and
  toolkit of Electronic Design Automation tools. These tools are used for
@@ -167,7 +166,7 @@
 Package: geda-utils
 Architecture: any
 Breaks: geda (<= 19990516-1)
-Depends: ${misc:Depends}, ${shlibs:Depends}, python, gawk
+Depends: ${misc:Depends}, ${shlibs:Depends}, python, gawk, mawk
 Description: GPL EDA -- Electronics design software (utilities)
  The gEDA project has produced and continues working on a full GPL'd suite and
  toolkit of Electronic Design Automation tools. These tools are used for
