=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 TEST_HOME=$(CURDIR)/tmp-home
 
 %:
-	dh $@
+	dh $@ --with autotools_dev
 
 override_dh_clean:
 	# gnetlist.orig is an upstream file that should not be removed:
@@ -20,7 +20,7 @@
 	mkdir -p $(TEST_HOME)
 	HOME=$(TEST_HOME) dh_auto_test
 
-LIBPKG=libgeda38
+LIBPKG=libgeda42
 DEVPKG=libgeda-dev
 COMMONPKG=libgeda-common
 
@@ -35,21 +35,12 @@
 	dh_auto_install --sourcedirectory=docs       -- DESTDIR=$(CURDIR)/debian/geda-doc
 	dh_auto_install --sourcedirectory=examples   -- DESTDIR=$(CURDIR)/debian/geda-examples
 
-override_dh_install:
-	dh_install
-	# This script is already installed in examples dir:
-	rm debian/geda-gnetlist/usr/bin/sch2eaglepos.sh
-
-	# Work around install locations in geda-utils
-	cd debian/geda-utils/usr/bin && mv gnet_hier_verilog.sh gnet_hier_verilog
-	cd debian/geda-utils/usr/bin && mv gsymfix.pl gsymfix
-
 override_dh_installdocs:
-	dh_installdocs -N$(LIBPKG) -N$(COMMONPKG) -N$(DEVPKG) -Ngeda -Ngeda-doc
+	dh_installdocs -N$(COMMONPKG) -N$(DEVPKG) -Ngeda -Ngeda-doc
 	dh_installdocs -pgeda -pgeda-doc --link-doc=geda-doc
-	dh_installdocs -p$(LIBPKG) -p$(COMMONPKG) -p$(DEVPKG) --link-doc=$(COMMONPKG)
+	dh_installdocs -p$(COMMONPKG) -p$(DEVPKG) --link-doc=$(COMMONPKG)
 	# Work around install location in some geda- packages:
-	for p in geda-gnetlist geda-gschem geda-gsymcheck geda-utils geda-symbols geda-doc; do \
+	for p in geda-gnetlist geda-gschem geda-gsymcheck geda-utils geda-symbols geda-doc geda-gattrib; do \
 	  rm -rf debian/$$p/usr/share/doc/geda-gaf/man ; \
 	  [ ! -d debian/$$p/usr/share/doc/$$p ] || ( \
 	    mv debian/$$p/usr/share/doc/geda-gaf/*  \
