=== debian/watch ===
version=3
http://ftp.geda-project.org/geda-gaf/stable/v([\d\.]+)/([\d\.]+)/geda-gaf-([\d\.]+)\.tar\.gz
