## geda-gaf 1.8.2

=== debian/changelog ===
geda-gaf (1:1.8.2-8) unstable; urgency=medium

  * Do not use link-doc between -dev & -common packahes
  * Bumped compat level to 11
  * Set PERL_USE_UNSAFE_INC=1 during dh_auto_test to make gxyrs test pass
  * Added install-data.diff patch to fix a check for install binary when full
    path is not given
  * Install changelogs for libgeda-dev.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 23 Jul 2018 09:15:25 +0200

geda-gaf (1:1.8.2-7) unstable; urgency=medium

  [ Bdale Garbee ]
  * update vcs link to use https per policy 4.1.3

  [ Dima Kogan ]
  * Moved Vcs-... tags to point to salsa

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Remove Hamish Moffatt from uploaders (Closes: #831476)
  * Updated standards version to 4.1.5
  * Update copyright years
  * Depend on Guile 2.0 for hurd-i386 archs
  * Use binary version for libgeda-dev dependency on libgeda
  * Switch to secure copyright format URL
  * No need to set DEB_HOST_ARCH in debian/rules
  * Use DEB_VERSION from /usr/share/dpkg/pkg-info.mk instead of parsing dpkg-parsechangelog

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 16 Jul 2018 04:51:11 +0200

geda-gaf (1:1.8.2-6) unstable; urgency=medium

  * No-op upload to fix a broken binNMU. Currently geda-gaf binNMUs
    don't work because of #747141. (Closes: #856519)

 -- Dima Kogan <dkogan@debian.org>  Sun, 12 Mar 2017 13:11:32 -0700

geda-gaf (1:1.8.2-5) unstable; urgency=medium

  * Update my email address.
  * Add bashims.diff patch to fix bashisms in some example scripts.
    (Closes: #772246)
  * debian/copyright: Update copyright years.
  * debian/control: Bumped Standards-Version to 3.9.6

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 07 Dec 2014 13:42:01 +0200

geda-gaf (1:1.8.2-4) unstable; urgency=low

  * patch from upstream to fix warnings for components with no refdes
  * add replaces to handle sw2asc move from geda-gnetlist to geda-utils,
    closes: #743658

 -- Bdale Garbee <bdale@gag.com>  Sat, 05 Apr 2014 17:51:57 -0600

geda-gaf (1:1.8.2-3) unstable; urgency=low

  * guile-1.8-dev will be removed from unstable soon, so remove it as an
    option from build-deps
  * patch from Adam Conrad, using dh_autoreconf seems to resolve the fork
    bombing problem, closes: #724922, 726408

 -- Bdale Garbee <bdale@gag.com>  Mon, 24 Mar 2014 22:05:04 -0600

geda-gaf (1:1.8.2-2) unstable; urgency=low

  * don't run the test suite on armel|armhf, as it seems to cause a make
    recursion explosion on those architectures for some reason.

 -- Bdale Garbee <bdale@gag.com>  Thu, 17 Oct 2013 17:14:18 -0600

geda-gaf (1:1.8.2-1) unstable; urgency=low

  [ Bdale Garbee ]
  * new upstream version
  * update control file to match overrides for libgeda section

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * use guile 1.8 for ia64 & hurd-i386, closes: #716727  

 -- Bdale Garbee <bdale@gag.com>  Thu, 26 Sep 2013 13:30:06 -0600

geda-gaf (1:1.8.1-3) unstable; urgency=low

  * debian/control:
    + Drop libgd2-xpm-dev from (Build-)Deps
    + Update (Build-)Depends from libgd2-dev to libgd-dev
  * debian/rules: Install changelogs to libgedaNN

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 04 Jun 2013 09:42:40 +0200
