=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: electronics
 Priority: optional
 Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
-Uploaders: Peter Clifton <pcjc2@cam.ac.uk>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>, Hamish Moffatt <hamish@debian.org>, Bdale Garbee <bdale@gag.com>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), libgtk2.0-dev (>= 2.16.0), guile-2.0-dev, libgd2-xpm-dev | libgd2-dev, libxml-parser-perl, ghostscript, transfig, libstroke0-dev, groff, libglib2.0-dev, flex, intltool, autotools-dev
-Homepage: http://geda.seul.org/
-Vcs-Git: git://anonscm.debian.org/pkg-electronics/geda-gaf.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-electronics/geda-gaf.git
+Uploaders: Peter Clifton <pcjc2@cam.ac.uk>, أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>, Bdale Garbee <bdale@gag.com>
+Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 11), libgtk2.0-dev (>= 2.16.0), guile-2.0-dev, libgd-dev, libxml-parser-perl, ghostscript, transfig, libstroke0-dev, groff, libglib2.0-dev, flex, intltool
+Homepage: http://www.geda-project.org/
+Vcs-Git: https://salsa.debian.org/electronics-team/geda-gaf.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/geda-gaf
 
 Package: geda
 Architecture: all
@@ -29,6 +29,7 @@
 
 Package: libgeda42
 Architecture: any
+Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}, libgeda-common (>= ${source:Version}), libgeda-common (<< ${source:Version}.1~)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -47,7 +48,7 @@
 Package: libgeda-dev
 Architecture: any
 Section: libdevel
-Depends: ${misc:Depends}, ${shlibs:Depends}, libgeda42 (= ${binary:Version}), libgtk2.0-dev, guile-2.0-dev, libgd2-xpm-dev | libgd2-dev
+Depends: ${misc:Depends}, ${shlibs:Depends}, libgeda42 (= ${binary:Version}), libgtk2.0-dev, guile-2.0-dev [!ia64], guile-1.8-dev [ia64], libgd-dev
 Description: GPL EDA -- Electronics design software (development files)
  The gEDA project has produced and continues working on a full GPL'd suite and
  toolkit of Electronic Design Automation tools. These tools are used for
@@ -166,6 +167,7 @@
 Package: geda-utils
 Architecture: any
 Breaks: geda (<= 19990516-1)
+Replaces: geda-gnetlist (<< 1:1.8.0)
 Depends: ${misc:Depends}, ${shlibs:Depends}, python, gawk, mawk
 Description: GPL EDA -- Electronics design software (utilities)
  The gEDA project has produced and continues working on a full GPL'd suite and
