=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/pkg-info.mk
 
 TEST_HOME=$(CURDIR)/tmp-home
 
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 override_dh_clean:
 	# gnetlist.orig is an upstream file that should not be removed:
@@ -18,7 +19,7 @@
 
 override_dh_auto_test:
 	mkdir -p $(TEST_HOME)
-	HOME=$(TEST_HOME) dh_auto_test
+	HOME=$(TEST_HOME) PERL_USE_UNSAFE_INC=1 dh_auto_test
 
 LIBPKG=libgeda42
 DEVPKG=libgeda-dev
@@ -36,9 +37,8 @@
 	dh_auto_install --sourcedirectory=examples   -- DESTDIR=$(CURDIR)/debian/geda-examples
 
 override_dh_installdocs:
-	dh_installdocs -N$(COMMONPKG) -N$(DEVPKG) -Ngeda -Ngeda-doc
+	dh_installdocs -Ngeda -Ngeda-doc
 	dh_installdocs -pgeda -pgeda-doc --link-doc=geda-doc
-	dh_installdocs -p$(COMMONPKG) -p$(DEVPKG) --link-doc=$(COMMONPKG)
 	# Work around install location in some geda- packages:
 	for p in geda-gnetlist geda-gschem geda-gsymcheck geda-utils geda-symbols geda-doc geda-gattrib; do \
 	  rm -rf debian/$$p/usr/share/doc/geda-gaf/man ; \
@@ -53,7 +53,8 @@
 	done
 
 override_dh_installchangelogs:
-	dh_installchangelogs libgeda/ChangeLog   -p $(COMMONPKG)
+	dh_installchangelogs libgeda/ChangeLog   -p $(COMMONPKG) -p $(LIBPKG)
+	dh_installchangelogs                     -p $(DEVPKG)
 	dh_installchangelogs symbols/ChangeLog   -p geda-symbols
 	dh_installchangelogs docs/ChangeLog      -p geda-doc
 	dh_installchangelogs examples/ChangeLog  -p geda-examples
@@ -75,7 +76,5 @@
 override_dh_compress:
 	dh_compress -Xwiki -X.sch -Xgeda-examples/examples -X.sym
 
-DEBIAN_VERSION := $(shell dpkg-parsechangelog | grep Version: | cut -f 2 -d ' ')
-
 override_dh_makeshlibs:
-	dh_makeshlibs -a -V'$(LIBPKG) (= $(DEBIAN_VERSION))'
+	dh_makeshlibs -a -V'$(LIBPKG) (= $(DEB_VERSION))'
